Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Fedora 31 prêt à être utilisé !

#1 06/05/2010 22:51:05

C@sp€r
Bricoleur Fedora
Modérateur
Lieu : /dev/loop
Inscription : 09/04/2010
Messages : 725
Site Web

Gnash, j'y suis presque...

Bonsoir à tous,
comme le titre de la discussion ne l'indique pas, j'ai installé Gnash-plugin par "yum install gnash-plugin", une première fois, dans le but de ne jamais avoir besoin de Adobe Flash Player (qui est contraire à ma philosophie du libre). Je me suis renseigné avant de me lancer, j'ai fait des recherches sur ce forum mais personne ne traite le sujet et j'ai suivi à la lettre les instructions sur http://doc.fedora-fr.org/wiki/Flash_:_l … urs_libres. L'installation des 2 paquetages s'est bien passé, aucun message d'erreur, pour tester je vais sur youtube. Hic, j'y était presque, explication: la page se charge bien, avec la fenêtre de lecture gris, puis noir, puis la barre de lecture arrive, puis en moyennes ligne en haut apparait LE message d'erreur. Pour avoir des infos à fournir dans ce poste, j'ai tout désinstallé (gnash et plugins) par yum remove. Je réessaie (doc wiki à l'appui) en même temps que j'écris ces quelques lignes...

[root@: ~ 536]Mode Superutilisateur# yum install gnash-plugin
Modules complémentaires chargés : presto, refresh-packagekit
Configuration du processus d'installation
Résolution des dépendances
--> Lancement de la transaction de test
---> Paquet gnash-plugin.x86_64 1:0.8.7-1.fc12 marqué pour être mis à jour 
updates/filelists_db                                                                                                                             | 8.0 MB     00:23     
--> Traitement de la dépendance : gnash = 1:0.8.7-1.fc12 pour le paquet : 1:gnash-plugin-0.8.7-1.fc12.x86_64
--> Lancement de la transaction de test
---> Paquet gnash.x86_64 1:0.8.7-1.fc12 marqué pour être mis à jour 
--> Résolution des dépendances terminée

Dépendances résolues

========================================================================================================================================================================
 Paquet                                    Architecture                        Version                                       Dépôt                                Taille
========================================================================================================================================================================
Installation:
 gnash-plugin                              x86_64                              1:0.8.7-1.fc12                                updates                               29 k
Installation pour dépendance:
 gnash                                     x86_64                              1:0.8.7-1.fc12                                updates                              2.4 M

Résumé de la transaction
========================================================================================================================================================================
Installer       2 paquet(s)
Mettre à jour       0 paquet(s)

Taille totale des téléchargement : 2.4 M
Installed size: 11 M
Est-ce correct [o/N] : o
Téléchargement des paquets :
Setting up and reading Presto delta metadata
Processing delta metadata
Package(s) data still to download: 2.4 M
(1/2): gnash-0.8.7-1.fc12.x86_64.rpm                                                                                                             | 2.4 MB     00:09     
(2/2): gnash-plugin-0.8.7-1.fc12.x86_64.rpm                                                                                                      |  29 kB     00:00     
------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                   238 kB/s | 2.4 MB     00:10     
Lancement de rpm_check_debug
Lancement de la transaction de test
Transaction de test réussie
Lancement de la transaction
  Installation   : 1:gnash-0.8.7-1.fc12.x86_64                                                                                                                      1/2 
  Installation   : 1:gnash-plugin-0.8.7-1.fc12.x86_64                                                                                                               2/2 

Installé:
  gnash-plugin.x86_64 1:0.8.7-1.fc12                                                                                                                                    

Dépendance installée:
  gnash.x86_64 1:0.8.7-1.fc12                                                                                                                                           

Terminé !
[root@: ~ 537]Mode Superutilisateur#

Donc ça c'est fait...
Je précise que la lib Gstreamer est déjà installé avec plusieurs lecteurs multimédia qui fonctionnent parfaitement

[root@: ~ 541]Mode Superutilisateur# yum list gstreamer
Modules complémentaires chargés : presto, refresh-packagekit
Paquets installés
gstreamer.x86_64                                                                 0.10.28-2.fc12                                                                 @updates
Paquets disponibles
gstreamer.i686                                                                   0.10.28-2.fc12                                                                 updates 
[root@: ~ 539]Mode Superutilisateur#

je tape dans Firefox "about:plugins", dans la liste il y a

Shockwave Flash 
Nom de fichier : libgnashplugin.so

je vais voir youtube, toujours pour tester...
Zut, maintenant il y a la page avec la fenêtre en noir, sans barre de lecture et sans LE message d'erreur !!!
hypothèse: c'est peut-être parce que j'ai pas redémarré Firefox ou le système
les infos utiles ou non:

[root@: ~ 539]Mode Superutilisateur# uname -a
Linux Casper 2.6.32.11-99.fc12.x86_64 #1 SMP Mon Apr 5 19:59:38 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
[root@: ~ 540]Mode Superutilisateur#

Carte vidéo ATI Mobiblity Radeon HD 5730 avec pilote d'origine (et non téléchargé)

Si vous avez des idées...n'hésitez pas !


2010 \ Copyleft GPL only, all rights permited.
1277413422.png

Hors ligne

#2 06/05/2010 22:56:26

Pikachu_2014
Retraité
Lieu : Boulogne-Billancourt
Inscription : 16/06/2005
Messages : 11 334
Site Web

Re : Gnash, j'y suis presque...

gnash, tout comme swfdec, ne sont plus en phase avec le dernier lecteur Flash de youtube. C'est donc peine perdue en attendant une future mise à jour de ces programmes.
En attendant il existe une alternative pour youtube : Greasemonkey + le script qui va bien :
   http://userscripts.org/scripts/show/75710
Ceci va remplacer sur les pages Youtube le lecteur Flash par une balise te permettant de lire la vidéo pointée avec le plugin vidéo de ton navigateur (totem, vlc, gecko-mediaplayer, etc).


« …elle excitait si puissamment le désir, que je devins alors très incrédule sur sa vertu. »
À propos de Fœdora, dans la Peau de Chagrin (Balzac) roll

Hors ligne

#3 06/05/2010 23:01:16

C@sp€r
Bricoleur Fedora
Modérateur
Lieu : /dev/loop
Inscription : 09/04/2010
Messages : 725
Site Web

Re : Gnash, j'y suis presque...

j'ai rebooté, relancé Firefox et ça y est, la page youtube se charge normalement, la fenêtre de la vidéo apparait grise, puis noir avec la barre de lecture, et enfin le message en moyen en haut de la fenêtre:

An error occurred, please try again later.

merci pour vos idées...


2010 \ Copyleft GPL only, all rights permited.
1277413422.png

Hors ligne

#4 07/05/2010 17:46:11

C@sp€r
Bricoleur Fedora
Modérateur
Lieu : /dev/loop
Inscription : 09/04/2010
Messages : 725
Site Web

Re : Gnash, j'y suis presque...

Combien de temps (à peu près) avant que Gnash soit mis à jour pour youtube ?


2010 \ Copyleft GPL only, all rights permited.
1277413422.png

Hors ligne

#5 07/05/2010 18:33:06

Tlaloc
Un posteur mélomane
Lieu : Lorient
Inscription : 29/09/2009
Messages : 1 179

Re : Gnash, j'y suis presque...

Ce peut être assez long, je le crains. D'autre part la mise à jour n'est qu'éventuelle, malheureusement.

Dernière modification par Tlaloc (08/05/2010 11:44:39)


«Time present and time past
Are both perhaps present in time future,
And time future contained in time past.»
                                      T.S Eliot

Hors ligne

#6 07/05/2010 18:55:48

C@sp€r
Bricoleur Fedora
Modérateur
Lieu : /dev/loop
Inscription : 09/04/2010
Messages : 725
Site Web

Re : Gnash, j'y suis presque...

Dommage,
et nous, adepte du logiciel libre, qu'est-ce qu'on devient ?!?
heureusement qu'il n'y a pas que youtube dans la vie, et gnash marche avec tout le reste (de ce que j'ai pu tester).

question qui n'a aucun rapport mais dont j'ai un doute:
j'ai des pilotes vidéos privé? public? libre? proprio? et quelqu'un à une commande pour avoir des infos là-dessus?


2010 \ Copyleft GPL only, all rights permited.
1277413422.png

Hors ligne

#7 07/05/2010 19:11:20

VINDICATORs
RédactWikix and the graphicatorix!
Modérateur
Lieu : Toulouse(31) France
Inscription : 23/11/2004
Messages : 17 743
Site Web

Re : Gnash, j'y suis presque...

Pour l'erreur recharge la page, ça le fait de plus en plus souvent...


AMD Ryzen 7 2700X, MSI Gaming Pro Carbon X470, 32Go DDR4 3200@3333Mhz Gskill Trident Z RBG CL14, Radeon RX 5700XT MSI Mech OC + RX590 Sapphire Nitro+ SE 8Go GDDR5
SSD Samsung : 1x 970 NVME 500Go + 1x 850 EVO 250Go + 2x500Go 860 EVO, 2x1To 860 QVO, HDD 1x2To WD black 64Mo, 1x4to WD Black 128Mo, 3To WD Red, Boitier GMT Bequiet Dark 900-Lepa 800W 80+gold
AMD A6 9500, MSI A320, 16Go DDR4 2400Mhz Gskill AEGIS, 1x500GO WD black, 3x 2To RAID 5 WD Blue, Alim Corsair 350W-Boitier Cube Chieftec CI-01B-OP

Hors ligne

#8 07/05/2010 19:16:32

C@sp€r
Bricoleur Fedora
Modérateur
Lieu : /dev/loop
Inscription : 09/04/2010
Messages : 725
Site Web

Re : Gnash, j'y suis presque...

VINDICATORs a écrit :

Pour l'erreur recharge la page, ça le fait de plus en plus souvent...

Ben... ça marche toujours pas.


2010 \ Copyleft GPL only, all rights permited.
1277413422.png

Hors ligne

#9 07/05/2010 20:43:59

Tlaloc
Un posteur mélomane
Lieu : Lorient
Inscription : 29/09/2009
Messages : 1 179

Re : Gnash, j'y suis presque...

As-tu essayé à nouveau la solution que proposait Pikachu ?


«Time present and time past
Are both perhaps present in time future,
And time future contained in time past.»
                                      T.S Eliot

Hors ligne

#10 07/05/2010 21:13:11

jeffbeback
Membre
Inscription : 07/06/2005
Messages : 209
Site Web

Re : Gnash, j'y suis presque...

Sinon, pour Youtube, tu peux aussi utiliser cette extension pour Firefox : System Video et utiliser le html5 en l'activant sur cette page : http://www.youtube.com/html5


jovien-petit.png

Hors ligne

#11 07/05/2010 23:08:39

C@sp€r
Bricoleur Fedora
Modérateur
Lieu : /dev/loop
Inscription : 09/04/2010
Messages : 725
Site Web

Re : Gnash, j'y suis presque...

Je crois qu'on avance les gars !!!
j'ai installé dans firefox l'add-on de https://addons.mozilla.org/en-US/firefox/addon/83149/ , redémarré firefox, je suis allé sur http://www.youtube.com/html5 , je me suis inscrit au programme HTML5 Bêta, je fais une recherche de mes vidéos favorites, je clic dessus: fenêtre de lecture grise puis noire. Attendez, j'écris pas un post sans avoir fait un minimum de recherches ! Bon alors la nouveauté c'est ça:

Warning: this video is not set to use HTML5. If you have not, go to http://www.youtube.com/html5 and join the beta.

c'est écrit sous le volet de lecture. Vous savez traduire l'anglais, moi aussi, et j'ai l'impression qu'il me font tourner en rond. J'ai pas trouvé une seule vidéo en HTML5. je retourne sur http://www.youtube.com/html5 et la page me dit:

Vous êtes actuellement inscrit au programme HTML5 bêta.
Quitter le programme HTML5 bêta

Bien sûr je ne quitte pas le programme... Ai-je fais quelque chose de travers ? suremement oui puisque ça ne marche pas !
Demain je reteste la solution de pikachu.

Dernière modification par C@sp€r (07/05/2010 23:10:33)


2010 \ Copyleft GPL only, all rights permited.
1277413422.png

Hors ligne

#12 07/05/2010 23:18:25

Tlaloc
Un posteur mélomane
Lieu : Lorient
Inscription : 29/09/2009
Messages : 1 179

Re : Gnash, j'y suis presque...

Je ne suis pas certain que ce soit toi qui ait fait quelque chose de travers...


«Time present and time past
Are both perhaps present in time future,
And time future contained in time past.»
                                      T.S Eliot

Hors ligne

#13 08/05/2010 00:45:24

jeffbeback
Membre
Inscription : 07/06/2005
Messages : 209
Site Web

Re : Gnash, j'y suis presque...

Tiens, doit y avoir un truc qui cloche, ça marchait bien comme ça, mais là j'ai refais un essais, mais ça marche pas. Le cadre vidéo reste noir et Firefox cherche des plugins manquants mais je ne sais pas lesquels.... Ils ont du changer un truc :/


jovien-petit.png

Hors ligne

#14 08/05/2010 00:51:16

Tlaloc
Un posteur mélomane
Lieu : Lorient
Inscription : 29/09/2009
Messages : 1 179

Re : Gnash, j'y suis presque...

Programme bêta.


«Time present and time past
Are both perhaps present in time future,
And time future contained in time past.»
                                      T.S Eliot

Hors ligne

#15 08/05/2010 00:58:21

jeffbeback
Membre
Inscription : 07/06/2005
Messages : 209
Site Web

Re : Gnash, j'y suis presque...

Oui, c'est sur.

Là je viens de faire un essai avec Chromium, et cela ne marche pas non plus... Le navigateur met un message d'erreur sur cette page au lancement de la lecture.


jovien-petit.png

Hors ligne

#16 08/05/2010 01:19:56

Valdes
Dovahkiin
Lieu : Paris
Inscription : 04/09/2007
Messages : 2 131

Re : Gnash, j'y suis presque...

@ C@sp€r : étant donné que les vidéos en HTML5 sous YouTube sont en H.264, Firefox ne pourra pas les lire.
En plus, ils le disent.

Donc même si tout marchait bien, tu ne pourrais pas voir les vidéos de YouTube en HTML5 sous Firefox.
Du moins, pour l'instant... =)


Fedora 26 x86_64 sur Dell Latitude E7470
Prends le temps d'écrire correctement, et on prendra le temps de répondre correctement.

Hors ligne

#17 08/05/2010 01:28:57

jeffbeback
Membre
Inscription : 07/06/2005
Messages : 209
Site Web

Re : Gnash, j'y suis presque...

L`extensiion System Video que j`utilise et dont je parle plus haut a pour but justement de palier au non support du h264 par Firefox en uiisant les pugin video disponible (Totem ou VLC ou Gecko-mlayer).
Les scriptts GreaseMoncky que proose Pikachu ont d`ailleurs sensiblement le meme but.


jovien-petit.png

Hors ligne

#18 08/05/2010 11:30:17

VINDICATORs
RédactWikix and the graphicatorix!
Modérateur
Lieu : Toulouse(31) France
Inscription : 23/11/2004
Messages : 17 743
Site Web

Re : Gnash, j'y suis presque...

Bon... Comme quoi le flash c'est vraiment pourrave pour la vidéo! Plein écran pas un ralentissement! Dommage par contre qu'ils ne soient pas passé au theora, parce que bon le H264 n'a pas l'air d'avoir autant d'argument pour être adopter en dehors du fait qu'il est payant... Enfin bon c'est mon avis perso...

Faudrait que je fasse un comparatif, mais je suis pas convaincu quand même...


AMD Ryzen 7 2700X, MSI Gaming Pro Carbon X470, 32Go DDR4 3200@3333Mhz Gskill Trident Z RBG CL14, Radeon RX 5700XT MSI Mech OC + RX590 Sapphire Nitro+ SE 8Go GDDR5
SSD Samsung : 1x 970 NVME 500Go + 1x 850 EVO 250Go + 2x500Go 860 EVO, 2x1To 860 QVO, HDD 1x2To WD black 64Mo, 1x4to WD Black 128Mo, 3To WD Red, Boitier GMT Bequiet Dark 900-Lepa 800W 80+gold
AMD A6 9500, MSI A320, 16Go DDR4 2400Mhz Gskill AEGIS, 1x500GO WD black, 3x 2To RAID 5 WD Blue, Alim Corsair 350W-Boitier Cube Chieftec CI-01B-OP

Hors ligne

#19 08/05/2010 14:39:02

C@sp€r
Bricoleur Fedora
Modérateur
Lieu : /dev/loop
Inscription : 09/04/2010
Messages : 725
Site Web

Re : Gnash, j'y suis presque...

J'ai installé Greasemonkey dans firefox, puis j'ai installé le script que Pikachu m'a recommandé, je redémarre firefox, je vais voir youtube, bon ça marche pas (volet de lecture noir) peut-être pour la raison suivante: faut-il que je quitte le programme HTML5 bêta de youtube. J'essaie en même temps que j'écris: toujours écran noir.
Si on a tout essayé, c'est pas grave je peux très bien me passer de youtube.
Et voici un petit sondage: vous utilisez quoi comme logiciel libre (qui marche lol) pour regarder les vidéos de l'Internet...
je continue les essais tant qu'il y aura des idées !


2010 \ Copyleft GPL only, all rights permited.
1277413422.png

Hors ligne

#20 08/05/2010 15:29:52

VINDICATORs
RédactWikix and the graphicatorix!
Modérateur
Lieu : Toulouse(31) France
Inscription : 23/11/2004
Messages : 17 743
Site Web

Re : Gnash, j'y suis presque...

J'ai du attendre un moment avant que cela commence à se lancer.

Avec gecko-mediaplayer ça passe très bien! En plus en plein écran c'est superfluide!


AMD Ryzen 7 2700X, MSI Gaming Pro Carbon X470, 32Go DDR4 3200@3333Mhz Gskill Trident Z RBG CL14, Radeon RX 5700XT MSI Mech OC + RX590 Sapphire Nitro+ SE 8Go GDDR5
SSD Samsung : 1x 970 NVME 500Go + 1x 850 EVO 250Go + 2x500Go 860 EVO, 2x1To 860 QVO, HDD 1x2To WD black 64Mo, 1x4to WD Black 128Mo, 3To WD Red, Boitier GMT Bequiet Dark 900-Lepa 800W 80+gold
AMD A6 9500, MSI A320, 16Go DDR4 2400Mhz Gskill AEGIS, 1x500GO WD black, 3x 2To RAID 5 WD Blue, Alim Corsair 350W-Boitier Cube Chieftec CI-01B-OP

Hors ligne

#21 09/05/2010 18:23:49

C@sp€r
Bricoleur Fedora
Modérateur
Lieu : /dev/loop
Inscription : 09/04/2010
Messages : 725
Site Web

Re : Gnash, j'y suis presque...

VINDICATORs a écrit :

J'ai du attendre un moment avant que cela commence à se lancer.

Avec gecko-mediaplayer ça passe très bien! En plus en plein écran c'est superfluide!

[root@: ~ 591]Mode Superutilisateur# yum install gecko-mediaplayer
Modules complémentaires chargés : presto, refresh-packagekit
Configuration du processus d'installation
Le paquet gecko-mediaplayer-0.9.9.2-1.fc12.x86_64 est déjà installé dans sa dernière version
Rien à faire
[root@: ~ 592]Mode Superutilisateur#

Grâce à toi je découvre des logiciel dont je me soupçonnais pas la présence sur mon ordi...


2010 \ Copyleft GPL only, all rights permited.
1277413422.png

Hors ligne

#22 09/05/2010 18:32:13

VINDICATORs
RédactWikix and the graphicatorix!
Modérateur
Lieu : Toulouse(31) France
Inscription : 23/11/2004
Messages : 17 743
Site Web

Re : Gnash, j'y suis presque...

Clair, vu le nombre...

Sans compter que la commande yum n'est pas très explicite et pratique à ce niveau.


AMD Ryzen 7 2700X, MSI Gaming Pro Carbon X470, 32Go DDR4 3200@3333Mhz Gskill Trident Z RBG CL14, Radeon RX 5700XT MSI Mech OC + RX590 Sapphire Nitro+ SE 8Go GDDR5
SSD Samsung : 1x 970 NVME 500Go + 1x 850 EVO 250Go + 2x500Go 860 EVO, 2x1To 860 QVO, HDD 1x2To WD black 64Mo, 1x4to WD Black 128Mo, 3To WD Red, Boitier GMT Bequiet Dark 900-Lepa 800W 80+gold
AMD A6 9500, MSI A320, 16Go DDR4 2400Mhz Gskill AEGIS, 1x500GO WD black, 3x 2To RAID 5 WD Blue, Alim Corsair 350W-Boitier Cube Chieftec CI-01B-OP

Hors ligne

#23 09/05/2010 21:24:24

C@sp€r
Bricoleur Fedora
Modérateur
Lieu : /dev/loop
Inscription : 09/04/2010
Messages : 725
Site Web

Re : Gnash, j'y suis presque...

A propos, t'aurais pas vite fait un petit YUM magique qui affiche les pilotes vidéo ???


2010 \ Copyleft GPL only, all rights permited.
1277413422.png

Hors ligne

#24 10/05/2010 08:46:41

MarbolanGos
Membre
Lieu : Fontenay-aux-Roses
Inscription : 11/02/2007
Messages : 4 879
Site Web

Re : Gnash, j'y suis presque...

rpm -qa | grep nvidia

Ou

rpm -qa | grep ati

Fedora 19 : 1 Dell XPS M1330, 1 fixe custom et 1 Dell Latitude 6430u

Hors ligne

#25 10/05/2010 21:03:14

C@sp€r
Bricoleur Fedora
Modérateur
Lieu : /dev/loop
Inscription : 09/04/2010
Messages : 725
Site Web

Re : Gnash, j'y suis presque...

Merci, c'est toujours utile ce genre de commande...


2010 \ Copyleft GPL only, all rights permited.
1277413422.png

Hors ligne

Pied de page des forums